#1158 FreeMind is rubber banding when scrolling

FreeMind_1.0.0
pending
nobody
None
5
2016-12-28
2013-07-30
Alex Krupp
No

I'm having a problem when I'm trying to scroll down by using the mouse to pan. (E.g. clicking a blank area on the map and dragging up.)

What's happening is that FreeMind is rubber banding, so every time I try to scroll down it pops back up. The only way to fix this is by completely restarting FreeMind, minimizing all the nodes and then re-expanding them works but does not fix the problem. This only happens when the map is fully expanded.

This is happening on OS X, FreeMind 1.0.0-RC4, running the newest version of Java 7. It seems to only happen on reasonably large maps when FreeMind has been running for a while. (Although I have 8 gigs of RAM, and the system is otherwise more than capable of running large maps without any performance issues.)

Related

Bugs: #1158

Discussion

  • Christian Foltin

    Hi,

    can you provide a log file, if this happens, please? TIA, Chris

     
  • Christian Foltin

    • status: open --> pending
     
    • Alex Krupp

      Alex Krupp - 2013-10-23

      Christian,

      Sorry for the bad timing, this just happened again for the first time since I posted the original ticket. This time I'm using the 1.0.0 release on OS 10.8.5, with the latest version of Java 6.

      Attached is the log file ~/.freemind/log.4, the log file with the highest number, which I assume is the most recent.

       
  • Alex Krupp

    Alex Krupp - 2013-10-23

    Deleted (duplicate of above.)

     
    Last edit: Alex Krupp 2013-10-23
    • Alex Krupp

      Alex Krupp - 2013-10-23

      Deleted (duplicate)

       
      Last edit: Alex Krupp 2013-10-23
  • DanV

    DanV - 2013-11-06

    I am also have this issue on MacBookPro and iMac running:

    Mac OS X 10.8.5
    
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)
    

    An important note - I can undo to get out of this "rubber band" mode.

    Also, I looked at the logs but I do not think there are any clues there.

    However, the next time this happens I will post the last ten lines of log.0

     
    Last edit: DanV 2013-11-06
  • Victor

    Victor - 2013-11-08

    Same issue.
    Mac OS X 10.9
    FM 1.0.0

     
  • David Regal

    David Regal - 2013-11-29

    Regression testing: Confirmed same bug happens for *bin-max-0.9.0.

    On Mac OS X 10.9 with Java 7 from straight from Oracle without Java 6 installed.
    ~ $ java -version
    java version "1.7.0_04"
    Java(TM) SE Runtime Environment (build 1.7.0_04-b21)
    Java HotSpot(TM) 64-Bit Server VM (build 23.0-b21, mixed mode)

    Since I never had this problem with Java 6 on previous versions of OSX, I'm going to uninstall 7 and try *0.9.0-bin-max with Java 6.

    If Java 6 and 0.9.0-bin-max works, then going to try to use 1.0.0-bin-max.
    If that works, then on to 1.0.0 dmg install with Java 6.

    Hopefully this will give more data points to help improve a great tool.

     
  • David Regal

    David Regal - 2013-12-01

    So far, no rubber banding in Java 6 and 0.9.0-bin-max. FM has been actively used for about 30 minutes. Log attached.

    ~ $ java -version
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

    Sorry I don't know how to highlight commands and output from terminal.

     
  • David Regal

    David Regal - 2013-12-09

    No rubber banding in Java 6 and FM 0.9.0 RC 7 (dmg, restored this Mac OS X from a backup). FM has been running for 8 days and used on-off throughout the day.

    Nov 30, 2013 8:38:38 PM freemind.main.FreeMind <init>
    INFO: freemind_version = 0.9.0 RC 7; freemind_xml_version = 0.9.0
    Build: 178

    ~ $ java -version
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

    I suspect that the problem is associated with Java 7.

     
  • Andrew

    Andrew - 2013-12-31

    Same issue. I can relaunch the software to get it working again, but the problem reappears very quickly, almost to the point where the software is becoming unusable.

    I am on a new Macbook Air running Mavericks. Java 7.
    FM 1.0.0

     
  • Christian Foltin

    Hi,

    two questions:
    1) if you move using the keyboard to the most upper or most downward node and continue scrolling: is this working?
    2) do you use a double monitor setting?

    TIA, Chris

     
    • Andrew

      Andrew - 2013-12-31

      I do not use a double monitor setting
      I will test out #1 and let you know

       
      • Alex Krupp

        Alex Krupp - 2013-12-31

        I do use a double monitor... I can't remember whether or not I've seen this
        without it, but I've definitely seen it with it. I also use Java 7. I'd
        also have to test out #1 the next time this comes up.

        On Tue, Dec 31, 2013 at 12:18 PM, Andrew armolo@users.sf.net wrote:

        I do not use a double monitor setting
        I will test out #1 and let you know


        Status: pending
        Created: Tue Jul 30, 2013 01:50 PM UTC by Alex Krupp
        Last Updated: Tue Dec 31, 2013 03:03 PM UTC
        Owner: nobody

        I'm having a problem when I'm trying to scroll down by using the mouse to
        pan. (E.g. clicking a blank area on the map and dragging up.)

        What's happening is that FreeMind is rubber banding, so every time I try
        to scroll down it pops back up. The only way to fix this is by completely
        restarting FreeMind, minimizing all the nodes and then re-expanding them
        works but does not fix the problem. This only happens when the map is fully
        expanded.

        This is happening on OS X, FreeMind 1.0.0-RC4, running the newest version
        of Java 7. It seems to only happen on reasonably large maps when FreeMind
        has been running for a while. (Although I have 8 gigs of RAM, and the
        system is otherwise more than capable of running large maps without any
        performance issues.)


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/freemind/bugs/1158/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #1158

    • Andrew

      Andrew - 2013-12-31

      1) The screen continues to rubber-band even as I use the keyboard to move to nodes that are offscreen. I cannot "travel" anywhere offscreen with the keyboard any more than I can with scroll bar or trackpad.

       
  • David Ihnen

    David Ihnen - 2015-02-23

    I noticed a similar behavior if your focused node is off screen and you just click on the background. click-event-on-nothing. Traced to the viewport relocating call to code in swing/awt called scrollRectToVisible, called in MapView.java at 543 538 1567 510 60 and 104 - there are a honestly myriad circumstances in the code whereby these functions can be called, perhaps we could temporarily patch the code to log everywhere scrollRectToVisible is activated and get back from somebody who can recreate the situation, and see which branch of the logic flow is causing the problem.

     
    • Andrew

      Andrew - 2015-02-23

      I gave up on Freemind and switched to Tree.

      On Feb 23, 2015, at 5:30 PM, David Ihnen zanedoggie@users.sf.net wrote:

      I noticed a similar behavior if your focused node is off screen and you just click on the background. click-event-on-nothing. Traced to the viewport relocating call to code in swing/awt called scrollRectToVisible, called in MapView.java at 543 538 1567 510 60 and 104 - there are a honestly myriad circumstances in the code whereby these functions can be called, perhaps we could temporarily patch the code to log everywhere scrollRectToVisible is activated and get back from somebody who can recreate the situation, and see which branch of the logic flow is causing the problem.

      [bugs:#1158] http://sourceforge.net/p/freemind/bugs/1158 FreeMind is rubber banding when scrolling

      Status: pending
      Group: FreeMind_1.0.0
      Created: Tue Jul 30, 2013 01:50 PM UTC by Alex Krupp
      Last Updated: Tue Dec 31, 2013 03:03 PM UTC
      Owner: nobody

      I'm having a problem when I'm trying to scroll down by using the mouse to pan. (E.g. clicking a blank area on the map and dragging up.)

      What's happening is that FreeMind is rubber banding, so every time I try to scroll down it pops back up. The only way to fix this is by completely restarting FreeMind, minimizing all the nodes and then re-expanding them works but does not fix the problem. This only happens when the map is fully expanded.

      This is happening on OS X, FreeMind 1.0.0-RC4, running the newest version of Java 7. It seems to only happen on reasonably large maps when FreeMind has been running for a while. (Although I have 8 gigs of RAM, and the system is otherwise more than capable of running large maps without any performance issues.)

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/freemind/bugs/1158/ https://sourceforge.net/p/freemind/bugs/1158
      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/ https://sourceforge.net/auth/subscriptions

       

      Related

      Bugs: #1158

  • Joe Antkowiak

    Joe Antkowiak - 2015-06-13

    The solution to another freemind issue has resolved this issue for me as well:

    https://sourceforge.net/p/freemind/discussion/22102/thread/5d6c4796/

    https://sourceforge.net/p/freemind/discussion/22102/thread/5d6c4796/#e788

    "
    From what I could see in the "System-Preferences" my system was running Java RE 8 Update 40. In Terminal however, when I called "java -version" my system seemed to be running version 6 (1.6.x.x.).
    Installing JRE 8 update 45 did not change this.
    I installed the Java Development Kit 8 as this would set the Java home-Variable to Java 8. After installation, calling "java -version" in terminal provided version "1.8.0_45".
    Still no cloning in Freemind.
    I looked at the info.plist file in the Freemind package (/Applications/Freemind->right-click-> "Show package content")
    In the file I deleted the following lines (after inserting my Java-Version did not help):
    <key>JVMRuntime</key>
    <string>jdk1.7.0_45.jdk</string>
    Freemind now clones without problems.
    "

    So,

    1. Install JDK 8 on your mac
    2. Finder > Applications > Freemind, show package contents, edit info.plist
    3. Remove JVMRuntime key and jdk1.7.0x string
    4. Save, open freemind...things work!
     
    • Matthew Cook

      Matthew Cook - 2016-08-16

      This info.plist trick worked well for me.
      Was a very annoying bug, now haven't seen it for 5 months.
      Thank you!

       
    • Xavier Blanc Baudriller

      Yes!!! This did the trick for me as well. Wonderful! Thank you!

       
    • Stefan Fleiter

      Stefan Fleiter - 2016-09-20

      In the file I deleted the following lines (after inserting my Java-Version did not help):
      <key>JVMRuntime</key>
      <string>jdk1.7.0_45.jdk</string>

      Wow, that fixed the rubber banding for me, thx for the hint!
      Maybe with that knowledge this bug can be fixed.
      The bug tends to make Freemind unusable on Mac if you work on a large mindmap.

       
  • Jeff Sanders

    Jeff Sanders - 2016-10-10

    This worked for me on an iMac running Sierra 10.12

    THANK YOU JOE !!!

     
  • Darryl Godfrey

    Darryl Godfrey - 2016-12-28

    Joe: you are a life-saver - I can't thank you enough - this bug has been driving me nuts for ages.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks